Skip to content
Developer Tools
Accelerate development using AI assistants and tools

Transfer to Bank ​

  • Endpoint: POST /v1.0/emoney/transfer-bank
  • Tags: Indonesia SNAP/Disbursement

Description ​

This API is used for bank transfer payments. When handling the response of this interface, please pay attention to the following points; otherwise, there may be a risk of financial loss:

When "responseCode": "2004300" , "responseMessage": "Successful" , "additionalInfo.status": "03" are returned, it means the order has been successfully placed. Please refer to the callback notification or qTransaction Inquiry API for the order status; When "responseCode": "4094301" and "responseMessage": "The order number repeat." , it means that the partnerReferenceNo has already been submitted. Please wait for the callback or use the Transaction Inquiry API to confirm the order status. Ensure that each partnerReferenceNo is unique; In other scenarios, please check the parameters and reinitiate request without changing partnerReferenceNo, and pay attention to resetting X-TIMESTAMP;

Service Code=43

Parameters ​

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYesMedia type of the resource, i.e. application/json.
X-TIMESTAMPheaderstringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
X-SIGNATUREheaderstringYesRepresents signature of a request.
CHANNEL-IDheaderstringYesDevice identification on which the API services is currently being accessed by the end user , like APP,WAP,WEB.
AuthorizationheaderstringYesRepresents access_token of a request; string starts with keyword “Bearer ” followed by access_token
X-PARTNER-IDheaderstringYesMerchant Id, the unique identifier generated when the merchant signs the contract with PayerMax
X-EXTERNAL-IDheaderstringYesUnique reference number for each request and should be unique within the same day.

Parameter Examples ​

  • Content-Type: ""
  • X-TIMESTAMP: ""
  • X-SIGNATURE: ""
  • CHANNEL-ID: ""
  • Authorization: ""
  • X-PARTNER-ID: ""
  • X-EXTERNAL-ID: ""

Request Body ​

Required

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
partnerReferenceNostringYesmaxLength: 64Merchant Order Id, a unique identifier for a merchant transaction, must not be duplicated and can only contain letters, numbers, and underlines.
beneficiaryAccountNumberstringYesmaxLength: 128Payee account, fill in the corresponding account number according to the payment method.
amountobjectYes
amount.valuestringYesmaxLength: 12The transaction amount should be submitted according to the Decimal separator place supported by the currencies of each country. Note: Indonesia, Vietnam, South Korea, and Chile do not support decimal amounts in local currency.
amount.currencystringYesmaxLength: 3Transaction currency, uppercase letters.
additionalInfoobjectYes
additionalInfo.sourceAccountstringNomaxLength: 3Currency code of the deduction account, in uppercase letters.
additionalInfo.destinationCurrencystringNomaxLength: 3Currency code of the receiving account, in uppercase letters.
additionalInfo.payeeInfoobjectYes
additionalInfo.payeeInfo.targetOrgstringYesmaxLength: 64Target organization.
additionalInfo.payeeInfo.payeeTypestringYesPayee type (PERSONAL/CORPORATION), default to PERSONAL
additionalInfo.payeeInfo.nameobjectYes
additionalInfo.payeeInfo.name.fullNamestringYesmaxLength: 512Full name of payee.
additionalInfo.payeeInfo.addressobjectNoReceiving address information.
additionalInfo.payeeInfo.address.addressstringNomaxLength: 512Address of payee.
additionalInfo.payeeInfo.address.citystringNomaxLength: 255City of payee.
additionalInfo.payeeInfo.address.statestringNomaxLength: 255State.
additionalInfo.payeeInfo.address.postalCodestringNomaxLength: 32Postal code of payee.
additionalInfo.notifyUrlstringYesmaxLength: 255The backend callback address for merchants to receive payment results, starting with http/https.
additionalInfo.referencestringNomaxLength: 255A pass-through parameter, which will be returned the same in the notification callback API. This field is primarily to hold customized data from merchant.
additionalInfo.purposestringNoDisbursement purpose,enumeration value, ISUBIL:Pay to utilities (i.e. water, electricity, gas bills); EPTOUR:Tourism; EPTKAG:Pay for travel tickets or travel agency fees; ISPAYR:Pay Salary; ISPAYRA:Pay Agent Salary; ISGDDS:Goods Trade; ISSCVE:Purchase and Sale of Services; ISSUPP:Supplier Payment; ISLOGS:Logistics and Transportation Service Payment; INCEN:Incentive/Promotion/User Acquisition Activity; GAME:Gaming Equipment, Game Coins, and Other Game Items; SAMENM:Same Name Business Account Transfer; PAYCMSN:Reimbursement/Benefit Distribution/Commission Distribution; SAMENMC:Legal Person/Shareholder/Director Personal Account; AGOPEXP:Agency operating expenses; ADEXP:Advertising expenses;RFND:Refund;SMCNTST:Sub merchant settlement;LGTEP:Logistics expenses;GOODPAY:Goods payment;SINVEST:Investment in shares;FINVEST:Fund investment;TAXPAY:Tax payment;LOANPAY:Payment of loans; OTHER:Other;
additionalInfo.notifyEmailstringNomaxLength: 64Recipient notification email. Currently, only certain payment methods, such as FAWRY, send withdrawal code emails.
additionalInfo.remarkstringNomaxLength: 100Postscript or remarks for disbursement, allows format of English, numbers, dash lines, spaces and dots; Due to channel constraints, this field may undergo special processing, such as ultra long truncation or filling in default values.
customerNumberstringNocustomer account number

Example ​

json
{
  "partnerReferenceNo": "20260825152920150100189",
  "beneficiaryAccountNumber": "08123456789",
  "amount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "additionalInfo": {
    "sourceAccount": "IDR",
    "destinationCurrency": "IDR",
    "payeeInfo": {
      "targetOrg": "ACEH",
      "payeeType": "PERSONAL",
      "name": {
        "fullName": "James Shri Williams Kanta"
      }
    },
    "remark": "SNAP payout test",
    "reference": "merchant-reference",
    "notifyUrl": "https://merchant.example.com/snap/payout-notify",
    "notifyEmail": "merchant@example.com",
    "purpose": "ISPAYR"
  }
}

Responses ​

200 ​

FieldTypeRequiredConstraintsDescriptionEnum
responseCodestringYesResponse code, following the SNAP standard.
responseMessagestringYesResponse description, following the SNAP standard.
partnerReferenceNostringNomaxLength: 64Merchant Order Id.
referenceNostringNomaxLength: 64PayerMax transaction serial Order Number.
additionalInfoobjectNo
additionalInfo.statusstringNomaxLength: 2Transaction status: 03 - Pending.

Response Example ​

json
{
  "responseCode": "2004300",
  "responseMessage": "Successful",
  "partnerReferenceNo": "20260825152920150100189",
  "referenceNo": "20260825072921TD0090053503027291T08",
  "additionalInfo": {
    "status": "03"
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.